+ Reply to Thread
Page 1 of 2 1 2 LastLast
Results 1 to 15 of 21

Thread: DirectX Compatibility

  1. #1
    Soulwalker
    Join Date
    Feb 2011
    Posts
    14

    Default DirectX Compatibility

    Alright, so I've recently become VERY, VERY interested in Rift. I pre-ordered the collector's edition yesterday along with downloading the whole 7.55GB Beta. Now, mind you my DirectX verison is DirectX 11. I tried to redownload DirectX 9.0C to play the Beta, but for some reason it wouldn't download itself due to cryptosomething capabilities not letting it work. I'm not sure what'll happen for me, when the actual game comes out on Thursday (head-start) will I even be able to play Rift since DirectX 9.0C cannot possibly work for me (I tried various solutions to the problem)? Or will the actual game have compatbility with DirectX 10, 11 and other versions?\

    FIXED IT!

    SOLUTION IS...
    http://www.microsoft.com/downloads/e...1-50ceb6d8fa8d
    Download the link above, follow normally setup protocols, extract the files to a folder of your choice, when that's done go inside the folder and run DXSETUP. Follow the instructions, and if all goes well it should work!
    Last edited by Expiredbeefz; 02-23-2011 at 05:38 PM.

  2. #2
    Rift Disciple
    Join Date
    Feb 2011
    Posts
    125

    Default

    common post, should have looked around more. ;)
    lots of people running w7 think they don't need to update directx 9 because they have 11 already but rift uses on 9.0c not 11.

    http://www.microsoft.com/downloads/e...1-50ceb6d8fa8d

    direct download, no web installer.

    should get you all fixed up for launch.

    here is the web installer instead if you prefer.
    http://www.microsoft.com/downloads/e...displaylang=en
    Last edited by Malformed; 02-21-2011 at 06:08 PM.

  3. #3
    Soulwalker
    Join Date
    Feb 2011
    Posts
    14

    Default

    That's just the thing, the 9.0c download doesn't work, I've tried both versions, I get an error saying 'A cabinet file necessary for installation cannot be trusted. Please verify the Cryptographic Services are enabled and the cabinet file certificate is valid.' I've literally tried EVERY solution I could find on Google, nothing has worked.

  4. #4
    Shadowlander
    Join Date
    Jan 2011
    Posts
    38

    Default

    had that issue awhile back and if i remember right i had to go into a folder in the win dir and delete the cab file giving the error so the installer could create a new one. try google. it should come up. sry couldnt give more info.

  5. #5
    Soulwalker
    Join Date
    Feb 2011
    Posts
    14

    Default

    Quote Originally Posted by mrberry View Post
    had that issue awhile back and if i remember right i had to go into a folder in the win dir and delete the cab file giving the error so the installer could create a new one. try google. it should come up. sry couldnt give more info.
    Do you remember what the cab file was :O?

  6. #6
    Rift Disciple
    Join Date
    Feb 2011
    Posts
    125

    Default

    check to see that windows is up to date.

    a quick google searched turned up this...

    Make sure your cryptography services are enabled. To do this, go to my computer | manage | services and applications | services. Then go to cryptography services properties and make sure the service is started and startup type is set to automatic.
    Remove temporary files in %temp% and (if installing end-user runtime)
    %windir%\system32\directx\websetup Error
    something else to try,

    1. Go to start menu, then Run
    2. Type in cmd
    3. Type the following, pressing enter after each line. (press OK if prompted)
    regsvr32 /u softpub.dll
    regsvr32 /u wintrust.dll
    regsvr32 /u initpki.dll
    regsvr32 /u dssenh.dll
    regsvr32 /u rsaenh.dll
    regsvr32 /u gpkcsp.dll
    regsvr32 /u sccbase.dll
    regsvr32 /u slbcsp.dll
    regsvr32 /u mssip32.dll
    regsvr32 /u cryptdlg.dll

    Type the following, pressing enter after each line:

    regsvr32 softpub.dll
    regsvr32 wintrust.dll
    regsvr32 initpki.dll
    regsvr32 dssenh.dll
    regsvr32 rsaenh.dll
    regsvr32 gpkcsp.dll
    regsvr32 sccbase.dll
    regsvr32 slbcsp.dll
    regsvr32 mssip32.dll
    regsvr32 cryptdlg.dll
    exit

    or to simplify,

    Copy the first group of regsvr32 commands.
    ( the component unregister commands ).

    Open a command prompt window
    and paste in the first group then
    hit return once to force the last command to execute.

    ( components should unregister or say they do not exist. )

    Paste in the second group - hit return once.

    (components should register or say they do not exist).

    No reboot needed

  7. #7
    Soulwalker
    Join Date
    Feb 2011
    Posts
    14

    Default

    Tried the above solution, the first two .dll commands work, after that the other dlls give errors when I do their line in CMD.
    Last edited by Expiredbeefz; 02-21-2011 at 06:44 PM.

  8. #8
    Rift Disciple
    Join Date
    Feb 2011
    Posts
    125

    Default

    are you logged into the computer on an administrator account?
    maybe run the full non-web installer as administrator. (right click, run setup.exe as administrator)

    at this point i dont know.
    if you are admin, windows is completely up to date, crypto is started and set to auto, and all the dll's are registered properly... I'm not sure where to go from there other than to temporarily turn off windows firewall and disable UAC, etc.
    Last edited by Malformed; 02-21-2011 at 06:56 PM.

  9. #9
    Telaran Wasgij's Avatar
    Join Date
    Feb 2011
    Posts
    53

    Default

    Dx 11 is backwards compatible ....... No need to download anything ...... Do not download anything ....

  10. #10
    Rift Disciple
    Join Date
    Feb 2011
    Posts
    125

    Default

    that isn't the case here, Rift apparently requires that the 9.0c june update be installed, if it's not apparently the launcher wont let you play.

  11. #11
    Soulwalker
    Join Date
    Feb 2011
    Posts
    14

    Default

    Quote Originally Posted by Malformed View Post
    are you logged into the computer on an administrator account?
    maybe run the full non-web installer as administrator. (right click, run setup.exe as administrator)

    at this point i dont know.
    if you are admin, windows is completely up to date, crypto is started and set to auto, and all the dll's are registered properly... I'm not sure where to go from there other than to temporarily turn off windows firewall and disable UAC, etc.
    Yeah, I've honestly tried anything. I'm assuming either one of the things below will happen now.

    1) It turns out the game is backwards compatible with DirectX 11
    2) The game changes from DirectX 9.0c to upgraded DirectX versions
    3) I'm screwed

    From what it seems from the beta 1 isn't the current case, 2 is most unlikely, and 3 is the most suitable option for my current predicament >.<

  12. #12
    Rift Disciple
    Join Date
    Feb 2011
    Posts
    125

    Default

    could always format/reinstall windows... but im sure there is a way for you to fix this problem.

    have you tried contacting Trion through the support ticket system?

  13. #13
    Telaran Wasgij's Avatar
    Join Date
    Feb 2011
    Posts
    53

    Default

    It is a Download issue with rift all Direct X versions contain the files to run there previous . I would contact Trion about your issue. I have never heard of anyone having to download a previous DX version to run a game due to the conflict issue's it will cause.

    The Game is coming out in a new download and new launcher it might solve your issue.....

  14. #14
    Rift Disciple
    Join Date
    Feb 2011
    Posts
    125

    Default

    I can't find a date for the most recent dx11 updates, but the dx 9.0c updates (version is 9.29.1973 for web-installer, or 9.29.1962 for the full redistribution download) came out after dx11 was released. i don't recall there being any updates to dx11 since it came out, so the 9.0c updates are more recent than dx11. if you click the "download latest redist" it takes you to that same 9.0c download.
    if rift requires 9.0c June updates to be installed like it said on the system requirements, that's all there is to it.


    but, one can always hope that a new installer & launcher will solve the problem.
    Last edited by Malformed; 02-21-2011 at 07:47 PM.

  15. #15
    Telaran
    Join Date
    Jan 2011
    Posts
    66

    Default

    OP, I have the same problem on my laptop...I can't get that version of directx 9 to work either. Searching the Internet only made me even more confused. Microsoft knows about it, but there is no fix or patch that allows a simple download of something. I have tried downloading from the Microsoft site, the game site, I checked the cryptography files, cleared the temp files, and am still getting the error. I am really hoping Trion is able to do something. In trying to make the game playable for older computers, they effectively blocked play for some of us with newer ones lol. Fortunately I can play fine on my PC, but I lost 2 days of beta because I couldn't get the laptop to work properly.

+ Reply to Thread
Page 1 of 2 1 2 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts